{% extends "base.html" %}
<!---------- Navigation ----------->
{% block navigation %}
    <li class="breadcrumb-item text-capitalize">
        <a href="{{ url_for('web.problems', theme_id=problem.theme_id) }}" class="text-dark">
            {{ problem.theme }}
        </a>
    </li>
    <li class="breadcrumb-item text-capitalize active">{{ problem.title }}
        <span class="badge badge-secondary ml-2" style="line-height: inherit">Не решена</span>
    </li>
{% endblock %}

<!---------- Content ----------->
{% block content %}
    <div class="col-lg-8 offset-lg-2">
        <div class="container p-0">
            <ul class="nav nav-tabs" role="tablist">
                <li class="nav-item" role="presentation">
                    <a class="nav-link active px-4" id="description-tab" data-toggle="tab" href="#description"
                       role="tab"
                       aria-controls="description" aria-selected="true">Описание</a>
                </li>
                <li class="nav-item ml-2" role="presentation">
                    <a class="nav-link" id="submissions-tab" data-toggle="tab" href="#submissions" role="tab"
                       aria-controls="submissions" aria-selected="false">Посылки</a>
                </li>
            </ul>
            <div class="container bg-light border border-top-0 p-0 rounded-bottom tab-content">
                <div class="tab-pane fade show active p-4" id="description" role="tabpanel"
                     aria-labelledby="description-tab">
                    {{ problem.description|safe }}
                </div>
                <div class="tab-pane fade" id="submissions" role="tabpanel" aria-labelledby="submissions-tab">
                    <div class="accordion">
                        {% for submission in submissions %}
                            <div class="card">
                                <div class="card-header" id="headingThree{{ loop.revindex }}">
                                    <button class="btn btn-link btn-block d-flex justify-content-between" type="button"
                                            data-toggle="collapse" data-target="#collapseThree{{ loop.revindex }}"
                                            aria-expanded="false" aria-controls="collapseThree{{ loop.revindex }}">
                                        Посылка #{{ loop.revindex }}
                                        <span class="badge badge-success mt-1">
                                            {{ submission.status }}
                                        </span>
                                    </button>
                                </div>
                                <div id="collapseThree{{ loop.revindex }}"
                                     class="collapse {% if loop.index0 == 0 %}show{% endif %}"
                                     aria-labelledby="headingThree{{ loop.revindex }}" data-parent="#submissions">
                                    <div class="card-body">
                                        {% for file in submission.files %}
                                            <button type="button" class="btn btn-light btn-sm" data-toggle="modal"
                                                    data-target="#fileModal{{ submission.id }}{{ loop.index }}">
                                                {{ file.name }}
                                            </button>

                                            <div class="modal fade"
                                                 id="fileModal{{ submission.id }}{{ loop.index }}" tabindex="-1"
                                                 aria-labelledby="fileModalLabel" aria-hidden="true">
                                                <div class="modal-dialog modal-dialog-scrollable modal-xl">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <h5 class="modal-title"
                                                                id="fileModalLabel">{{ file.name }}</h5>
                                                            <button type="button" class="close" data-dismiss="modal"
                                                                    aria-label="Close">
                                                                <span aria-hidden="true">&times;</span>
                                                            </button>
                                                        </div>
                                                        <div class="modal-body">
                                                            <code class="text-dark">
                                                                {{ file.value }}
                                                            </code>
                                                        </div>
                                                        <div class="modal-footer">
                                                            <button type="button" class="btn btn-sm btn-secondary"
                                                                    data-dismiss="modal">Закрыть
                                                            </button>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        {% endfor %}
                                    </div>
                                </div>
                            </div>
                        {% endfor %}
                    </div>
                </div>
            </div>
        </div>

        <div class="container border bg-light rounded p-4 mt-4">
            <form method="post" class="needs-validation" novalidate>
                <div class="md-form form-group bmd-form-group">
                    <h5 class="text-center font-weight-light">Отправка решения</h5>
                </div>
                <div class="md-form form-group bmd-form-group">
                    <label for="environment">Язык</label>
                    <select class="form-control custom-select" id="environment" required>
                        <option selected>Python</option>
                        <option>С++</option>
                        <option>С#</option>
                    </select>
                    <div class="invalid-feedback">
                        Необходимо выбрать язык.
                    </div>
                </div>
                <div class="md-form form-group bmd-form-group pb-3">
                    <label for="files">Файлы</label>
                    <div class=" custom-file">
                        <input type="file" class=" custom-file-input" id="files" multiple required>
                        <label for="files" class="custom-file-label" data-browse="Обзор...">Выберите файлы</label>
                        <div class="invalid-feedback">
                            Необходимо выбрать один или несколько файлов.
                        </div>
                    </div>
                </div>
                <button class="btn btn-dark" type="submit">Отправить</button>
            </form>
        </div>

        {% for type, message in get_flashed_messages(with_categories=True) %}
            <div class="container alert alert-{{ type }} fade show rounded-lg my-3" role="alert">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                {{ message }}
            </div>
        {% endfor %}

    </div>
{% endblock %}


<!---------- Script ----------->
{% block script %}

    <script>
        $(document).ready(function () {
            setTimeout(function () {
                $(".alert").alert('close');
            }, 3000);
        });
    </script>

    <script src="https://cdn.jsdelivr.net/npm/bs-custom-file-input/dist/bs-custom-file-input.min.js"></script>
    <script>bsCustomFileInput.init()</script>

    <script>
        // Bootstrap form validation
        (function () {
            'use strict';
            window.addEventListener('load', function () {
                var forms = document.getElementsByClassName('needs-validation');
                var validation = Array.prototype.filter.call(forms, function (form) {
                    form.addEventListener('submit', function (event) {
                        if (form.checkValidity() === false) {
                            event.preventDefault();
                            event.stopPropagation();
                        }
                        form.classList.add('was-validated');
                    }, false);
                });
            }, false);
        })();
    </script>

{% endblock %}